How can I have SQL 2005 express or SQL prerequisite in a deploymen

Giganews Newsgroups
Subject: How can I have SQL 2005 express or SQL prerequisite in a deploymen
Posted by:  Morris Neuman (Morris@online.nospam)
Date: Wed, 4 Apr 2007

In VS .net 2005 I'm building an install package for a website that requires
SQL server or SQL express to operate.  In the deployment package's Project
properties I specified SQL 2005 express as a prerequisite in a bootstrap
deployment for the website.

The deployment works correctly if there is no SQL server on the target
machine and first installs SQL 2005 Express.  But on a system that is already
running SQL 2005 (not express but full version) the install package tries to
install SQL 2005 express.  Should SQL 2005 satisfy the SQL 2005 Express
prerequisite?  Or how can I specify that SQL 2005 or SQL 2005 Express both
satisfy the prerequisite?

--
Thanks
Morris

Replies